extend("fiskheroes:hero_basic");
loadTextures({
	"men": "tgheroes:gamma/hulk_pants",
	"monster": "tgheroes:gamma/hulk_full",
	"suit": "tgheroes:gamma/defult.tx.json"
});

var utils = implement("fiskheroes:external/utils");

function init(renderer) {
    parent.init(renderer);
    renderer.setTexture((entity, renderLayer) => {
		if (!entity.isDisplayStand()) {
            var timer = entity.getInterpolatedData("fiskheroes:dyn/giant_mode_timer");
            return timer == 0 ? "men" : timer < 1 ? "suit" : "monster";
        }
        return "monster";
    });
	
    renderer.showModel("LEGGINGS", "head", "headwear", "body", "rightArm", "leftArm", "rightLeg", "leftLeg");
    renderer.fixHatLayer("LEGGINGS");
}



